#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

BOOL WINAPI
SetFileAttributes(LPCWSTR lpFileName, DWORD dwFileAttributes)
{
	BOOL b;
	char *file;

	if(win_useunicode)
		return SetFileAttributesW(lpFileName, dwFileAttributes);
	file = win_wstr2utf(lpFileName);
	b = SetFileAttributesA(file, dwFileAttributes);
	win_free(file);
	return b;
}
